import { Mutex } from 'async-mutex';
import { ethers } from 'ethers';
import Heap from 'heap';
import type { Log } from '@ethersproject/abstract-provider';
import { Uint64 } from '@cerc-io/nitro-util';
export declare class EventTracker {
    latestBlockNum?: bigint;
    events?: Heap<ethers.providers.Log>;
    mu: Mutex;
    constructor(params: {
        latestBlockNum: bigint;
        events: Heap<ethers.providers.Log>;
        mu?: Mutex;
    });
    static newEventTracker(startBlock: Uint64): EventTracker;
    push(l: Log): void;
    pop(): Log;
}
