import { ReadWriteChannel } from '@cerc-io/ts-channel';
import { Mutex } from 'async-mutex';
import { LedgerChannelInfo, PaymentChannelInfo } from '../query/types';
export declare class PaymentChannelListeners {
    listeners: ReadWriteChannel<PaymentChannelInfo>[];
    prev: PaymentChannelInfo;
    listenersLock: Mutex;
    constructor(params: {
        listeners?: ReadWriteChannel<PaymentChannelInfo>[];
        prev?: PaymentChannelInfo;
    });
    static newPaymentChannelListeners(): PaymentChannelListeners;
    notify(info: PaymentChannelInfo): Promise<void>;
    close(): Promise<void>;
}
export declare class LedgerChannelListeners {
    listeners: ReadWriteChannel<LedgerChannelInfo>[];
    prev: LedgerChannelInfo;
    listenersLock: Mutex;
    constructor(params: {
        listeners?: ReadWriteChannel<LedgerChannelInfo>[];
        prev?: LedgerChannelInfo;
    });
    static newLedgerChannelListeners(): LedgerChannelListeners;
    notify(info: LedgerChannelInfo): Promise<void>;
    close(): Promise<void>;
}
